com.io7m.jtensors.generators

## Class Vector3IGenerator

- java.lang.Object
- - com.io7m.jtensors.generators.Vector3IGenerator

- All Implemented Interfaces:
    net.java.quickcheck.Generator<Vector3I>

      public final class Vector3IGenerator
      extends Object
      implements net.java.quickcheck.Generator<Vector3I>

  A vector generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vector3IGenerator(net.java.quickcheck.Generator<Integer> in_gen)` Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static net.java.quickcheck.Generator<Vector3I>` | `create()` Create a generator initialized with a default component generator.
    `static net.java.quickcheck.Generator<Vector3I>` | `create16()` Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
    `static net.java.quickcheck.Generator<Vector3I>` | `create32()` Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
    `static net.java.quickcheck.Generator<Vector3I>` | `create8()` Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
    `static net.java.quickcheck.Generator<Vector3I>` | `createSmall()` Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
    `Vector3I` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vector3IGenerator

          public Vector3IGenerator(net.java.quickcheck.Generator<Integer> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static net.java.quickcheck.Generator<Vector3I> create()

      Create a generator initialized with a default component generator.
      Returns:
        A generator

    - #### createSmall

          public static net.java.quickcheck.Generator<Vector3I> createSmall()

      Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
      Returns:
        A generator

    - #### create32

          public static net.java.quickcheck.Generator<Vector3I> create32()

      Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
      Returns:
        A generator

    - #### create16

          public static net.java.quickcheck.Generator<Vector3I> create16()

      Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
      Returns:
        A generator

    - #### create8

          public static net.java.quickcheck.Generator<Vector3I> create8()

      Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
      Returns:
        A generator

    - #### next

          public Vector3I next()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<Vector3I>`

Copyright © 2017 <code@io7m.com> http://io7m.com